Index: branches/2.5/phpgwapi/setup/tables_baseline.inc.php
===================================================================
--- branches/2.5/phpgwapi/setup/tables_baseline.inc.php	(revision 2)
+++ branches/2.5/phpgwapi/setup/tables_baseline.inc.php	(revision 8232)
@@ -108,5 +108,5 @@
 				'sessionid' => array('type' => 'varchar', 'precision' => 30),
 				'loginid' => array('type' => 'varchar', 'precision' => 30),
-				'ip' => array('type' => 'varchar', 'precision' => 30),
+				'ip' => array('type' => 'varchar', 'precision' => 255),
 				'li' => array('type' => 'int', 'precision' => 4),
 				'lo' => array('type' => 'int', 'precision' => 4)
Index: branches/2.5/phpgwapi/setup/tables_update.inc.php
===================================================================
--- branches/2.5/phpgwapi/setup/tables_update.inc.php	(revision 7917)
+++ branches/2.5/phpgwapi/setup/tables_update.inc.php	(revision 8232)
@@ -20,5 +20,4 @@
 		$GLOBALS['setup_info']['phpgwapi']['currentver'] = '1.0.0.008';
 		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
-
 	}
 	
@@ -28,5 +27,4 @@
 		$GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.0.0.pre-alpha';
 		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
-
 	}
 
@@ -176,21 +174,54 @@
 		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
 	}
-    $test[] = '2.4.2'; 
-    function phpgwapi_upgrade2_4_2() 
-    { 
-            $GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.5.0'; 
-            return $GLOBALS['setup_info']['phpgwapi']['currentver']; 
-    } 
- 
-    $test[] = '2.5.0'; 
-        function phpgwapi_upgrade2_5_0() 
-        { 
-                $GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.5.1'; 
-                global $setup_info,$phpgw_setup; 
-                $phpgw_setup->oProc->query("ALTER TABLE phpgw_access_log ALTER COLUMN ip TYPE character varying(255) "); 
- 
-                return $GLOBALS['setup_info']['phpgwapi']['currentver']; 
-        } 
-     
-
+    $test[] = '2.4.2';
+    function phpgwapi_upgrade2_4_2()
+    {
+        $GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.5.0';
+        return $GLOBALS['setup_info']['phpgwapi']['currentver'];
+    }
+
+    $test[] = '2.5.0';
+	function phpgwapi_upgrade2_5_0()
+	{
+        $GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.5.1';
+        global $setup_info,$phpgw_setup;
+        $phpgw_setup->oProc->query("ALTER TABLE phpgw_access_log ALTER COLUMN ip TYPE character varying(255) ");
+
+        return $GLOBALS['setup_info']['phpgwapi']['currentver'];
+	}
+
+    $test[] = '2.5.1';
+    function phpgwapi_upgrade2_5_1()
+    {
+        global $phpgw_setup;
+
+        $phpgw_setup->oProc->query( 'select * from information_schema.tables where table_name= \'phpgw_vfs\'');
+        if( !$phpgw_setup->oProc->next_record() )
+        {
+            $phpgw_setup->oProc->CreateTable('phpgw_vfs', array(
+                'fd' => array(
+                    'file_id' => array('type' => 'auto','nullable' => False),
+                    'owner_id' => array('type' => 'int','precision' => '4','nullable' => False),
+                    'createdby_id' => array('type' => 'int','precision' => '4'),
+                    'modifiedby_id' => array('type' => 'int','precision' => '4'),
+                    'created' => array('type' => 'timestamp','nullable' => False,'default' => '1970-01-01'),
+                    'modified' => array('type' => 'timestamp'),
+                    'size' => array('type' => 'int','precision' => '4'),
+                    'mime_type' => array('type' => 'varchar','precision' => '64'),
+                    'deleteable' => array('type' => 'char','precision' => '1','default' => 'Y'),
+                    'comment' => array('type' => 'varchar','precision' => '255'),
+                    'app' => array('type' => 'varchar','precision' => '25'),
+                    'directory' => array('type' => 'varchar','precision' => '255'),
+                    'name' => array('type' => 'varchar','precision' => '128','nullable' => False),
+                    'link_directory' => array('type' => 'varchar','precision' => '255'),
+                    'link_name' => array('type' => 'varchar','precision' => '128'),
+                    'version' => array('type' => 'varchar','precision' => '30','nullable' => False,'default' => '0.0.0.0'),
+                    'content' => array('type' => 'longtext')
+                )
+            ));
+        }
+
+        $GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.5.1.0';
+        return $GLOBALS['setup_info']['phpgwapi']['currentver'];
+    }
 ?>
Index: branches/2.5/phpgwapi/setup/setup.inc.php
===================================================================
--- branches/2.5/phpgwapi/setup/setup.inc.php	(revision 7917)
+++ branches/2.5/phpgwapi/setup/setup.inc.php	(revision 8232)
@@ -14,6 +14,6 @@
 	$setup_info['phpgwapi']['name']      = 'phpgwapi';
 	$setup_info['phpgwapi']['title']     = 'API';
-	$setup_info['phpgwapi']['version']   = '2.5.1';
-	$setup_info['phpgwapi']['versions']['current_header'] = '2.5.0';
+	$setup_info['phpgwapi']['version']   = '2.5.1.0';
+	$setup_info['phpgwapi']['versions']['current_header'] = '2.5.1';
 	$setup_info['phpgwapi']['enable']    = 3;
 	$setup_info['phpgwapi']['app_order'] = 1;
@@ -41,6 +41,2 @@
 	$setup_info['phpgwapi']['tables'][]  = 'phpgw_history_log';
 	$setup_info['phpgwapi']['tables'][]  = 'phpgw_async';
-
-
-
-
Index: branches/2.5/phpgwapi/inc/class.preferences.inc.php
===================================================================
--- branches/2.5/phpgwapi/inc/class.preferences.inc.php	(revision 7655)
+++ branches/2.5/phpgwapi/inc/class.preferences.inc.php	(revision 8232)
@@ -567,5 +567,7 @@
 					$value = $this->db->db_addslashes(serialize($value));	// this addslashes is for the database
 					$app = $this->db->db_addslashes($app);
-
+					if ($this->db->Type == "pgsql" && isset($value['signature'])){
+						$value['signature'] = pg_escape_string($value['signature']);							
+					}
 					$this->db->query($sql = "INSERT INTO phpgw_preferences"
 						. " (preference_owner,preference_app,preference_value)"
Index: branches/2.5/news_admin/setup/tables_update.inc.php
===================================================================
--- branches/2.5/news_admin/setup/tables_update.inc.php	(revision 7516)
+++ branches/2.5/news_admin/setup/tables_update.inc.php	(revision 8232)
@@ -80,16 +80,23 @@
 	}
 
-    	$test[] = '2.4.1';
-    	function news_admin_upgrade2_4_1()
-    	{
-        	$GLOBALS['setup_info']['news_admin']['currentver'] = '2.4.2';
-        	return $GLOBALS['setup_info']['news_admin']['currentver'];
-    	}
+    $test[] = '2.4.1';
+    function news_admin_upgrade2_4_1()
+    {
+        $GLOBALS['setup_info']['news_admin']['currentver'] = '2.4.2';
+        return $GLOBALS['setup_info']['news_admin']['currentver'];
+    }
+
 	$test[] = '2.4.2';
-    	function news_admin_upgrade2_4_2()
-    	{
-        	$GLOBALS['setup_info']['news_admin']['currentver'] = '2.5.0';
-        	return $GLOBALS['setup_info']['news_admin']['currentver'];
-    	}
+    function news_admin_upgrade2_4_2()
+    {
+        $GLOBALS['setup_info']['news_admin']['currentver'] = '2.5.0';
+        return $GLOBALS['setup_info']['news_admin']['currentver'];
+    }
 
+    $test[] = '2.5.0';
+    function news_admin_upgrade2_5_0()
+    {
+        $GLOBALS['setup_info']['news_admin']['currentver'] = '2.5.1';
+        return $GLOBALS['setup_info']['news_admin']['currentver'];
+    }
 ?>
Index: branches/2.5/news_admin/setup/setup.inc.php
===================================================================
--- branches/2.5/news_admin/setup/setup.inc.php	(revision 7516)
+++ branches/2.5/news_admin/setup/setup.inc.php	(revision 8232)
@@ -14,5 +14,5 @@
 	$setup_info['news_admin']['name']      = 'news_admin';
 	$setup_info['news_admin']['title']     = 'News Admin';
-	$setup_info['news_admin']['version']   = '2.5.0';
+	$setup_info['news_admin']['version']   = '2.5.1';
 	$setup_info['news_admin']['app_order'] = 16;
 	$setup_info['news_admin']['enable']    = 1;
@@ -31,5 +31,5 @@
 	$setup_info['news_admin']['depends'][] = array(
 		 'appname' => 'phpgwapi',
-		 'versions' => Array('2.5.0')
+		 'versions' => Array('2.5.1.1')
 	);
 
Index: branches/2.5/login.php
===================================================================
--- branches/2.5/login.php	(revision 6714)
+++ branches/2.5/login.php	(revision 8232)
@@ -58,7 +58,6 @@
 	{
 	    $accountInfo = $GLOBALS['phpgw']->accounts->read_repository();
-	    session_id( $_COOKIE[ 'sessionid' ] ); 
+	    isset($_COOKIE[ 'sessionid' ]) ? session_id($_COOKIE[ 'sessionid' ]) : session_id(); 
 	    session_start();
-	    
 	    //Carregando na sessão configurações do usuario usado na nova API.	
 	    $_SESSION['wallet']['user']['uid']	          =  $accountInfo['account_lid'];
Index: branches/2.5/reports/setup/setup.inc.php
===================================================================
--- branches/2.5/reports/setup/setup.inc.php	(revision 7516)
+++ branches/2.5/reports/setup/setup.inc.php	(revision 8232)
@@ -13,5 +13,5 @@
 	$setup_info['reports']['title']     	= 'Expresso Reports';
 	/* Ao incrementar versão, não esquecer de declarar função do tables_update.inc.php*/
-	$setup_info['reports']['version']   	= '2.5.0';
+	$setup_info['reports']['version']   	= '2.5.1';
 	$setup_info['reports']['app_order']	= 17;
 	$setup_info['reports']['tables']    = '';
@@ -41,5 +41,5 @@
 	$setup_info['reports']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('2.5.0')
+		'versions' => Array('2.5.1.1')
 	);
 ?>
Index: branches/2.5/header.inc.php.template
===================================================================
--- branches/2.5/header.inc.php.template	(revision 7503)
+++ branches/2.5/header.inc.php.template	(revision 8232)
@@ -119,5 +119,5 @@
 	$GLOBALS['phpgw_info']['server']['versions']['current_header'] = $setup_info['phpgwapi']['versions']['current_header'];
 	unset($setup_info);
-	$GLOBALS['phpgw_info']['server']['versions']['header'] = '2.5.0';
+	$GLOBALS['phpgw_info']['server']['versions']['header'] = '2.5.1';
 	/* This is a fix for NT */
 	if(!isset($GLOBALS['phpgw_info']['flags']['noapi']) || !$GLOBALS['phpgw_info']['flags']['noapi'] == True)
Index: branches/2.5/INSTALL/debian/squeeze/etc/ldap/slapd.conf
===================================================================
--- branches/2.5/INSTALL/debian/squeeze/etc/ldap/slapd.conf	(revision 6710)
+++ branches/2.5/INSTALL/debian/squeeze/etc/ldap/slapd.conf	(revision 8232)
@@ -5,6 +5,6 @@
 # Global Directives:
 sizelimit -1
-timelimit -1
-threads 2
+#timelimit -1
+#threads 2
 
 # Schema and objectClass definitions
Index: branches/2.5/INSTALL/debian/squeeze/etc/postfix/main.cf
===================================================================
--- branches/2.5/INSTALL/debian/squeeze/etc/postfix/main.cf	(revision 7278)
+++ branches/2.5/INSTALL/debian/squeeze/etc/postfix/main.cf	(revision 8232)
@@ -1,5 +1,6 @@
 # Configuracoes para o Expresso
-myorigin = DOMAIN
-myhostname = DOMAIN
+mydomain = DOMAIN
+myorigin = $mydomain
+myhostname = $mydomain
 biff = no
 
@@ -8,5 +9,5 @@
 
 # A lista de dominios que esta maquina considera seu destino final.
-mydestination = $myhostname, localhost.$mydomain, DOMAIN
+mydestination = $mydomain, $myhostname, expresso.$mydomain
 
 recipient_delimiter = + 
Index: branches/2.5/INSTALL/expressoInstall.sh
===================================================================
--- branches/2.5/INSTALL/expressoInstall.sh	(revision 7619)
+++ branches/2.5/INSTALL/expressoInstall.sh	(revision 8232)
@@ -35,5 +35,5 @@
 # Variaveis globais
 ARQS="arquivos"
-VERSAO="2.5.0"
+VERSAO="2.5.1"
 # Inclusao dos scripts de apoio
 . $ARQS/scripts/aux.sh
Index: branches/2.5/INSTALL/arquivos/header.inc.php
===================================================================
--- branches/2.5/INSTALL/arquivos/header.inc.php	(revision 7503)
+++ branches/2.5/INSTALL/arquivos/header.inc.php	(revision 8232)
@@ -131,5 +131,5 @@
 	$GLOBALS['phpgw_info']['server']['versions']['current_header'] = $setup_info['phpgwapi']['versions']['current_header'];
 	unset($setup_info);
-	$GLOBALS['phpgw_info']['server']['versions']['header'] = '2.5.0';
+	$GLOBALS['phpgw_info']['server']['versions']['header'] = '2.5.1';
 	/* This is a fix for NT */
 	if(!isset($GLOBALS['phpgw_info']['flags']['noapi']) || !$GLOBALS['phpgw_info']['flags']['noapi'] == True)
Index: branches/2.5/INSTALL/arquivos/expresso-cron
===================================================================
--- branches/2.5/INSTALL/arquivos/expresso-cron	(revision 7700)
+++ branches/2.5/INSTALL/arquivos/expresso-cron	(revision 8232)
@@ -5,6 +5,6 @@
 
 # Utilizado para verificar se ha algum alarme, por e-mail, do modulo ExpressoCalendar
-#CENTOS*/1 * 	* * *	apache	 php	EXPRESSO_DIR/prototype/modules/calendar/alarms.php 
-#DEBIAN*/1 * 	* * *	www-data php5	EXPRESSO_DIR/prototype/modules/calendar/alarms.php 
+#CENTOS*/1 * 	* * *	apache	 php	EXPRESSO_DIR/prototype/modules/calendar/alarms.php 1>& /dev/null
+#DEBIAN*/1 * 	* * *	www-data php5	EXPRESSO_DIR/prototype/modules/calendar/alarms.php 1>& /dev/null
 
 # Utilizado para limpar a tabela, temporaria, que contem os e-mails (rascunhos) antes de
@@ -19,7 +19,9 @@
 # Utilizado para limpar os arquivos de sessao do PHP
 #*/31 *  * * *   root                    find /dev/shm -type f -name "sess_*" -cmin 240 -print0 | xargs -n 200 -r -0 rm
+*/31 *  * * *   root                    find /dev/shm -type f -name "sess_*" -cmin +240 -delete
 
 # Utilizado para limpar os arquivos, eml, criados ao exportar mensagens
-13 */4 * * * root			find /tmp/ -iname "*.eml" -amin +60 -exec rm -f '{}' \;
+#13 */4 * * * root			find /tmp/ -iname "*.eml" -amin +60 -exec rm -f '{}' \;
+13 */4 	* * * root			find /tmp/ -iname "*.eml" -cmin +60 -delete
 
 #
Index: branches/2.5/INSTALL/arquivos/scripts/http.sh
===================================================================
--- branches/2.5/INSTALL/arquivos/scripts/http.sh	(revision 7619)
+++ branches/2.5/INSTALL/arquivos/scripts/http.sh	(revision 8232)
@@ -111,7 +111,8 @@
 	yum -y install httpd mod_ssl \
 		php php-cli php-ldap php-pgsql php-imap php-mbstring php-gd php-xml \
-		php-pecl-memcache graphviz-php php-pspell \
+		php-pecl-memcache php-pspell \
 		unzip zip memcached libmemcached \
 		php-soap php-process # para o zpush
+		#graphviz-php \ # problema com o PHP-5.4
 
 	# para que o yuicompressor funcione
@@ -122,4 +123,5 @@
 
 	chkconfig httpd on
+	chkconfig memcached on
 
 	# Ativa o script do CRON para o RedHat e similares
Index: branches/2.5/INSTALL/rhel/6/var/lib/pgsql/data/postgresql.conf
===================================================================
--- branches/2.5/INSTALL/rhel/6/var/lib/pgsql/data/postgresql.conf	(revision 5797)
+++ branches/2.5/INSTALL/rhel/6/var/lib/pgsql/data/postgresql.conf	(revision 8232)
@@ -484,8 +484,4 @@
 #backslash_quote = safe_encoding	# on, off, or safe_encoding
 #default_with_oids = off
-# Necessario para o Expresso
-standard_conforming_strings = off
-#bytea_output = 'escape'
-# Necessario para o Expresso
 #escape_string_warning = on
 #regex_flavor = advanced		# advanced, extended, or basic
@@ -494,4 +490,8 @@
 #synchronize_seqscans = on
 
+# Necessario para o Expresso
+standard_conforming_strings = off
+bytea_output = 'escape'
+
 # - Other Platforms and Clients -
 
Index: branches/2.5/INSTALL/rhel/6/etc/openldap/slapd.conf
===================================================================
--- branches/2.5/INSTALL/rhel/6/etc/openldap/slapd.conf	(revision 6761)
+++ branches/2.5/INSTALL/rhel/6/etc/openldap/slapd.conf	(revision 8232)
@@ -7,6 +7,6 @@
 # Global Directives:
 sizelimit -1
-timelimit -1
-threads 2
+#timelimit -1
+#threads 2
 
 # Schema and objectClass definitions
Index: branches/2.5/INSTALL/rhel/6/etc/cyrus.conf
===================================================================
--- branches/2.5/INSTALL/rhel/6/etc/cyrus.conf	(revision 7699)
+++ branches/2.5/INSTALL/rhel/6/etc/cyrus.conf	(revision 8232)
@@ -7,7 +7,4 @@
   # this is only necessary if using idled for IMAP IDLE
   idled		cmd="idled"
-
-  # this is recommended if using duplicate delivery suppression
-  delprune        cmd="/usr/lib/cyrus-imapd/ctl_deliver -E 3"
 }
 
@@ -37,7 +34,4 @@
   checkpoint	cmd="ctl_cyrusdb -c" period=30
 
-  # this is only necessary if using duplicate delivery suppression
-  delprune        cmd="/usr/lib/cyrus-imapd/ctl_deliver -E 3" at=0401
-
   # this is only necessary if using duplicate delivery suppression,
   # Sieve or NNTP
@@ -52,4 +46,4 @@
 
   # SQUATTER indexa as caixas postais, a cada 120 min, para otimizar a pesquisa
-  squatter_i	  cmd="/bin/nice -n 19 /usr/lib/cyrus-imapd/squatter -s -i -r" period=120
+  squatter_i	  cmd="/bin/nice -n 19 /usr/lib/cyrus-imapd/squatter -s -i -r -v" period=240
 }
Index: branches/2.5/INSTALL/rhel/6/etc/postfix/main.cf
===================================================================
--- branches/2.5/INSTALL/rhel/6/etc/postfix/main.cf	(revision 7278)
+++ branches/2.5/INSTALL/rhel/6/etc/postfix/main.cf	(revision 8232)
@@ -1,5 +1,6 @@
 # Configuracoes para o Expresso
-myorigin = DOMAIN
-myhostname = DOMAIN
+mydomain = DOMAIN
+myorigin = $mydomain
+myhostname = $mydomain
 biff = no
 
@@ -8,5 +9,5 @@
 
 # A lista de dominios que esta maquina considera seu destino final.
-mydestination = $myhostname, localhost.$mydomain, DOMAIN
+mydestination = $mydomain, $myhostname, expresso.$mydomain
 
 recipient_delimiter = + 
Index: branches/2.5/INSTALL/rhel/6/etc/imapd.conf
===================================================================
--- branches/2.5/INSTALL/rhel/6/etc/imapd.conf	(revision 5802)
+++ branches/2.5/INSTALL/rhel/6/etc/imapd.conf	(revision 8232)
@@ -9,5 +9,4 @@
 sasl_mech_list: LOGIN PLAIN
 allowplaintext: yes
-auxprop_plugin: ldapdb
 
 tls_cert_file: /etc/pki/cyrus-imapd/cyrus-imapd.pem
Index: branches/2.5/mobile/setup/setup.inc.php
===================================================================
--- branches/2.5/mobile/setup/setup.inc.php	(revision 7516)
+++ branches/2.5/mobile/setup/setup.inc.php	(revision 8232)
@@ -14,5 +14,5 @@
 	$setup_info['mobile']['name']      = 'mobile';
 	$setup_info['mobile']['title']     = 'Expresso Mini';
-	$setup_info['mobile']['version']   = '2.5.0';
+	$setup_info['mobile']['version']   = '2.5.1';
 	$setup_info['mobile']['app_order'] = 4;
 	$setup_info['mobile']['enable']    = 2;
@@ -39,5 +39,5 @@
 	$setup_info['mobile']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('2.5.0')
+		'versions' => Array('2.5.1.1')
 	);
 ?>
Index: branches/2.5/mobile/inc/class.ui_home.inc.php
===================================================================
--- branches/2.5/mobile/inc/class.ui_home.inc.php	(revision 4358)
+++ branches/2.5/mobile/inc/class.ui_home.inc.php	(revision 8232)
@@ -4,5 +4,5 @@
 	var $imap_functions;
 	var $db;
-	var $bocalendar;
+	//var $bocalendar;
 	var $bo_mobilemail;
 	var $common;
@@ -22,5 +22,5 @@
 		$this->imap_functions	= CreateObject('expressoMail1_2.imap_functions');
 		$this->db	= CreateObject('phpgwapi.db');
-		$this->bocalendar = CreateObject('calendar.bocalendar');
+		//$this->bocalendar = CreateObject('calendar.bocalendar');
 		$this->bo_mobilemail = CreateObject('mobile.bo_mobilemail');
 	}
@@ -84,5 +84,5 @@
 		$this->template->set_var('quota_used', $this->common->borkb($total_quota["quota_used"]*1024));
 		$this->template->set_var('quota_limit', $this->common->borkb($total_quota["quota_limit"]*1024));
-		
+		/*
 		//pegando os eventos do dia atual
 		$year	= $this->bocalendar->year;
@@ -116,5 +116,5 @@
 		}
 		
-		
+		*/
 		
 		if($GLOBALS['phpgw']->session->appsession('mobile.layout','mobile')=="mini_desktop") {
Index: branches/2.5/mobile/index.php
===================================================================
--- branches/2.5/mobile/index.php	(revision 7655)
+++ branches/2.5/mobile/index.php	(revision 8232)
@@ -69,6 +69,6 @@
 
 	if(	array_key_exists('expressoMail1_2',$GLOBALS['phpgw_info']['user']['apps']) === FALSE ||
-		array_key_exists('contactcenter',$GLOBALS['phpgw_info']['user']['apps']) === FALSE ||
-		array_key_exists('calendar',$GLOBALS['phpgw_info']['user']['apps']) === FALSE) {
+		array_key_exists('contactcenter',$GLOBALS['phpgw_info']['user']['apps']) === FALSE /*||
+		array_key_exists('calendar',$GLOBALS['phpgw_info']['user']['apps']) === FALSE*/) {
 			$GLOBALS['phpgw']->session->phpgw_setcookie('lem', null);
 			$GLOBALS['phpgw']->session->phpgw_setcookie('pem', null);			
Index: branches/2.5/mobile/mobile_header.inc.php
===================================================================
--- branches/2.5/mobile/mobile_header.inc.php	(revision 4277)
+++ branches/2.5/mobile/mobile_header.inc.php	(revision 8232)
@@ -43,5 +43,6 @@
 				break;
 			case mobilecalendar:
-				$link = "ui_mobilecalendar.index";
+			//	$link = "ui_mobilecalendar.index";
+				$link = "ui_home.index";
 				break;
 			case mobilecc:
Index: branches/2.5/zpush/setup/setup.inc.php
===================================================================
--- branches/2.5/zpush/setup/setup.inc.php	(revision 7589)
+++ branches/2.5/zpush/setup/setup.inc.php	(revision 8232)
@@ -13,5 +13,5 @@
 	$setup_info['zpush']['title']     	= 'Z-Push' ;
 	/* Ao incrementar versão, não esquecer de declarar função do tables_update.inc.php*/
-	$setup_info['zpush']['version']   	= '2.5.0';
+	$setup_info['zpush']['version']   	= '2.5.1';
 	$setup_info['zpush']['app_order']	= 10;
 
Index: branches/2.5/zpush/lib/utils/utils.php
===================================================================
--- branches/2.5/zpush/lib/utils/utils.php	(revision 7589)
+++ branches/2.5/zpush/lib/utils/utils.php	(revision 8232)
@@ -446,5 +446,5 @@
     static public function IsSystemFolder($foldertype) {
         return ($foldertype == SYNC_FOLDER_TYPE_INBOX || $foldertype == SYNC_FOLDER_TYPE_DRAFTS || $foldertype == SYNC_FOLDER_TYPE_WASTEBASKET || $foldertype == SYNC_FOLDER_TYPE_SENTMAIL ||
-                $foldertype == SYNC_FOLDER_TYPE_OUTBOX || $foldertype == SYNC_FOLDER_TYPE_TASK || $foldertype == SYNC_FOLDER_TYPE_APPOINTMENT || $foldertype == SYNC_FOLDER_TYPE_CONTACT ||
+                $foldertype == SYNC_FOLDER_TYPE_OUTBOX || $foldertype == SYNC_FOLDER_TYPE_TASK /*|| $foldertype == SYNC_FOLDER_TYPE_APPOINTMENT */|| $foldertype == SYNC_FOLDER_TYPE_CONTACT ||
                 $foldertype == SYNC_FOLDER_TYPE_NOTE || $foldertype == SYNC_FOLDER_TYPE_JOURNAL) ? true:false;
     }
Index: branches/2.5/zpush/backend/expresso/providers/imapProvider.php
===================================================================
--- branches/2.5/zpush/backend/expresso/providers/imapProvider.php	(revision 8169)
+++ branches/2.5/zpush/backend/expresso/providers/imapProvider.php	(revision 8232)
@@ -497,9 +497,9 @@
             if (!empty($bccaddr)) $headers .= "\nBcc: $bccaddr";
             // changed by mku ZP-330
- 
-            require_once(__DIR__."/../../../../library/Mail/Mail.php"); 
-            $mail_object =& Mail::factory("smtp", $GLOBALS['config']['SMTP']); 
-            $send = $mail_object->send($toaddr, $message->headers , $body); 
-          //  $send =  @mail ( $toaddr, $message->headers["subject"], $body, $headers, $envelopefrom ); 
+
+	    require_once(__DIR__."/../../../../library/Mail/Mail.php");
+            $mail_object =& Mail::factory("smtp", $GLOBALS['config']['SMTP']);
+            $send = $mail_object->send($toaddr, $message->headers , $body);
+          //  $send =  @mail ( $toaddr, $message->headers["subject"], $body, $headers, $envelopefrom );
         }
 
@@ -904,20 +904,13 @@
 
         // build name for new mailboxBackendMaildir
-        $displayname = Utils::Utf7_iconv_encode(Utils::Utf8_to_utf7($displayname));
-        $newname = $this->server . $folderid . $this->serverdelimiter . $displayname;
-
+        $displayname = Utils::Utf7_iconv_encode(Utils::Utf8_to_utf7($displayname));;
+        $new = $this->server . $this->getImapIdFromFolderId($folderid) . $this->serverdelimiter.  $displayname;
         $csts = false;
-        // if $id is set => rename mailbox, otherwise create
-        if ($oldid) {
-            // rename doesn't work properly with IMAP
-            // the activesync client doesn't support a 'changing ID'
-            // TODO this would be solved by implementing hex ids (Mantis #459)
-            //$csts = imap_renamemailbox($this->mbox, $this->server . imap_utf7_encode(str_replace(".", $this->serverdelimiter, $oldid)), $newname);
-        }
-        else {
-            $csts = @imap_createmailbox($this->mbox, $newname);
-        }
+
+        $csts = ($oldid) ? imap_renamemailbox($this->mbox,  $this->server .$this->getImapIdFromFolderId($oldid) , $new) : imap_createmailbox($this->mbox, $new);
+
         if ($csts) {
-            return $this->StatFolder($folderid . $this->serverdelimiter . $displayname);
+           $newId =  $this->convertImapId($new);
+           return $this->StatFolder($newId);
         }
         else
@@ -936,7 +929,9 @@
      *
      */
-    public function DeleteFolder($id, $parentid){
-        // TODO implement
-        return false;
+    public function DeleteFolder($id, $parentid)
+    {
+        $ret = imap_deletemailbox($this->mbox , $this->server .$this->getImapIdFromFolderId($id) );
+        imap_expunge( $this->mbox );
+        return $ret;
     }
 
